\name{input.data.list}
\alias{input.data.list}
\docType{data}
\title{
Control/input data of transcription factor PHA-4/FOXA in \emph{C.elegans}
}
\description{
This data set contains parts of ChIP-seq data of transcription factor PHA-4/FOXA in \emph{C.elegans}. 
Only control data in chromosome I with position < 0.9M bp are included.
}
\usage{data("PHA4")}
\format{
List of 2 elements: "emb" and "L1". Each element is a data.frame with fields: chr, strand and pos.
}
\source{
Zhong et al. (2010), \emph{Genome-wide identification of binding sites defines distinct functions for Caenorhabditis elegans PHA-4/FOXA in development and environmental response}, PLoS Genetics, 6, e1000848.
}

\examples{
data(PHA4)
names(input.data.list)
head(input.data.list[["emb"]])
}

\keyword{datasets}

\seealso{
\code{\link{PHA4}}
}